Skip to main content
`Ctrl`+`K`

# PetscLogStageSetVisible

Determines stage visibility in `PetscLogView()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogStageSetVisible(PetscLogStage stage, PetscBool isVisible)

Not Collective

## Input Parameters

- stage - The stage

- isVisible - The visibility flag, `PETSC_TRUE` to print, else `PETSC_FALSE` (defaults to `PETSC_TRUE`)

## Developer Notes

Visibility only affects the default log handler in `PetscLogView()`: stages that are set to invisible are suppressed from output.

## See Also

Profiling, `PetscLogStageGetVisible()`, `PetscLogStageRegister()`, `PetscLogStagePush()`, `PetscLogStagePop()`, `PetscLogView()`, `PetscLogGetDefaultHandler()`

## Level

intermediate

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages